# WOK
TKWOK
MS

# MS_DataMapIteratorOfMapOfGlobalEntity Class Reference

`#include <MS_DataMapIteratorOfMapOfGlobalEntity.hxx>`

Inheritance diagram for MS_DataMapIteratorOfMapOfGlobalEntity:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MS_DataMapIteratorOfMapOfGlobalEntity ()
Standard_EXPORT | MS_DataMapIteratorOfMapOfGlobalEntity (const MS_MapOfGlobalEntity &aMap)
Standard_EXPORT void | Initialize (const MS_MapOfGlobalEntity &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_MS_GlobalEntity & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT MS_DataMapIteratorOfMapOfGlobalEntity::MS_DataMapIteratorOfMapOfGlobalEntity | ( |  | ) |

Standard_EXPORT MS_DataMapIteratorOfMapOfGlobalEntity::MS_DataMapIteratorOfMapOfGlobalEntity | ( | const MS_MapOfGlobalEntity & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer MS_DataMapIteratorOfMapOfGlobalEntity::Hashcode | ( |  | ) | const

Standard_EXPORT void MS_DataMapIteratorOfMapOfGlobalEntity::Initialize | ( | const MS_MapOfGlobalEntity & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& MS_DataMapIteratorOfMapOfGlobalEntity::Key | ( |  | ) | const

void MS_DataMapIteratorOfMapOfGlobalEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* MS_DataMapIteratorOfMapOfGlobalEntity::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* MS_DataMapIteratorOfMapOfGlobalEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_MS_GlobalEntity& MS_DataMapIteratorOfMapOfGlobalEntity::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MS_DataMapIteratorOfMapOfGlobalEntity.hxx